Azure Kubernetes Service - 即將淘汰 Kubernetes 1.11 和 1.12 版本的支援

已更新: 二月 24, 2020

由於我們將在 2019 年 12 月 9 日星期一 (2019-12-09) 開始支援 Kubernetes 1.15,我們將移除對早於最新版本 (N) 的 Kubernetes 版本和之前 (N-2) 之兩個次要版本的支援。 運行早於 Kubernetes 1.13.x 之 Kubernetes 版本的客戶,必須在 2019 年 12 月 9 日星期一之前進行升級,才能獲得支援。 在該日期之後,系統會在客戶開啟新的 Azure 支援要求時,要求他們升級至支援的版本。請注意:此日期特定於 AKS,與 Kubernetes 1.15 的任何上游或社群日期無關。

我們現在正在進行此變更以與上游 Kubernetes 專案更緊密結合,並會在錯誤修正、安全性修補程式和元件相容性方面為客戶提供更一致的體驗。

透過此變更,AKS 將支援目前已正式推出的 Kubernetes 版本,和兩個先前的次要版本 (N-2)。從歷史上來說,AKS 支援目前已正式推出的 Kubernetes 版本,和三個先前的次要版本 (N-3)。發行新的次要版本時,我們將移除最早的次要版本。

在 2019 年 12 月 9 日星期一之後,受支援的 Kubernetes 次要版本將是:

  • 1.13.x
  • 1.14.x
  • 1.15.x

確認您所在區域的可用版本:

```
az aks get-upgrades --resource-group myResourceGroup --name myAKSCluster --output table
```

使用 Azure CLI 更新您的叢集:

```
az aks upgrade --resource-group myResourceGroup --name myAKSCluster --kubernetes-version <NEW VERSION>
```

如需詳細資訊,請參閱 AKS Kubernetes 支援原則

如果您有任何問題,請連絡我們

 

 

由於我們將在 2019 年 12 月 9 日星期一 (2019-12-09) 開始支援 Kubernetes 1.15,我們將移除對早於最新版本 (N) 的 Kubernetes 版本和之前 (N-2) 之兩個次要版本的支援。 運行早於 Kubernetes 1.13.x 之 Kubernetes 版本的客戶,必須在 2019 年 12 月 9 日星期一之前進行升級,才能獲得支援。 在該日期之後,系統會在客戶開啟新的 Azure 支援要求時,要求他們升級至支援的版本。請注意:此日期特定於 AKS,與 Kubernetes 1.15 的任何上游或社群日期無關。

我們現在正在進行此變更以與上游 Kubernetes 專案更緊密結合,並會在錯誤修正、安全性修補程式和元件相容性方面為客戶提供更一致的體驗。

透過此變更,AKS 將支援目前已正式推出的 Kubernetes 版本,和兩個先前的次要版本 (N-2)。從歷史上來說,AKS 支援目前已正式推出的 Kubernetes 版本,和三個先前的次要版本 (N-3)。發行新的次要版本時,我們將移除最早的次要版本。

在 2019 年 12 月 9 日星期一之後,受支援的 Kubernetes 次要版本將是:

  • 1.13.x
  • 1.14.x
  • 1.15.x

確認您所在區域的可用版本:

```
az aks get-upgrades --resource-group myResourceGroup --name myAKSCluster --output table
```

使用 Azure CLI 更新您的叢集:

```
az aks upgrade --resource-group myResourceGroup --name myAKSCluster --kubernetes-version <NEW VERSION>
```

如需詳細資訊,請參閱 AKS Kubernetes 支援原則

如果您有任何問題,請連絡我們

 

 

  • Azure Kubernetes Service (AKS)
  • Open Source
  • Retirements